sensorfw: MagnetometerAdaptorNCDK Class Reference

sensorfw

Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
MagnetometerAdaptorNCDK Class Reference

`#include <magnetometeradaptor-ncdk.h>`

Inheritance diagram for MagnetometerAdaptorNCDK:

## Public Member Functions
bool | startSensor ()
void | stopSensor ()

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of MagnetometerAdaptor class.

## Protected Member Functions
| MagnetometerAdaptorNCDK (const QString &id)
| Constructor.
| ~MagnetometerAdaptorNCDK ()
bool | setInterval (const int sessionId, const unsigned int interval_us)

## Properties
int | overflowLimit

## Detailed Description

Definition at line 34 of file magnetometeradaptor-ncdk.h.

## Constructor & Destructor Documentation

## ◆ MagnetometerAdaptorNCDK()

MagnetometerAdaptorNCDK::MagnetometerAdaptorNCDK | ( | const QString & | id | ) |
| protected

Constructor.

Parameters

  id | Identifier for the adaptor.

## ◆ ~MagnetometerAdaptorNCDK()

MagnetometerAdaptorNCDK::~MagnetometerAdaptorNCDK | ( |  | ) |
| protected

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor * MagnetometerAdaptorNCDK::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of MagnetometerAdaptor class.

Parameters

  id | Identifier for the adaptor.

Definition at line 45 of file magnetometeradaptor-ncdk.h.

## ◆ setInterval()

bool MagnetometerAdaptorNCDK::setInterval | ( | const int | sessionId,
|  | const unsigned int | interval_us )
| protected

## ◆ startSensor()

bool MagnetometerAdaptorNCDK::startSensor | ( |  | ) |

## ◆ stopSensor()

void MagnetometerAdaptorNCDK::stopSensor | ( |  | ) |

## Property Documentation

## ◆ overflowLimit

int MagnetometerAdaptorNCDK::overflowLimit
| readwrite

Definition at line 39 of file magnetometeradaptor-ncdk.h.

The documentation for this class was generated from the following file:

- adaptors/magnetometeradaptor-ncdk/magnetometeradaptor-ncdk.h